Rex::Hook(3pm)

NAME
Rex::Hook - manage Rex hooks

DESCRIPTION
This module manages hooks of various Rex functions.

SYNOPSIS
 use Rex::Hook;

 register_function_hooks { $state => { $function => $coderef, }, };

EXPORTED FUNCTIONS

  register_function_hooks { $state => { $function => $coderef } };
Registers a $coderef to be called when $function reaches $state during its execution.

For example:

 register_function_hooks { before_change => { file => \&backup } };

$coderef may get parameters passed to it depending on the hook in question. See the given hook's documentation about details.